curl -X POST 'https://crypto-api.yativo.com/api/authentication/login' \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"password": "securepassword123"
}'
{
"status": "success",
"message": "Login successful",
"data": {
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"user": {
"id": "usr_01HX9KZMB3F7VNQP8R2WDGT4E5",
"email": "user@example.com",
"username": "cryptouser",
"first_name": "Jane",
"last_name": "Doe"
}
}
}
Authenticate with email and password to receive access and refresh tokens
curl -X POST 'https://crypto-api.yativo.com/api/authentication/login' \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"password": "securepassword123"
}'
{
"status": "success",
"message": "Login successful",
"data": {
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"user": {
"id": "usr_01HX9KZMB3F7VNQP8R2WDGT4E5",
"email": "user@example.com",
"username": "cryptouser",
"first_name": "Jane",
"last_name": "Doe"
}
}
}
curl -X POST 'https://crypto-api.yativo.com/api/authentication/login' \
-H 'Content-Type: application/json' \
-d '{
"email": "user@example.com",
"password": "securepassword123"
}'
{
"status": "success",
"message": "Login successful",
"data": {
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"user": {
"id": "usr_01HX9KZMB3F7VNQP8R2WDGT4E5",
"email": "user@example.com",
"username": "cryptouser",
"first_name": "Jane",
"last_name": "Doe"
}
}
}